# Interface FiveLoadOptions

interface FiveLoadOptions {
"3d-tiles"?:
| Partial<ParameterTilesetValue> & {
showLayers?: boolean | string[];
viewerRequestVolume?: BoundingVolumeJson | BoundingVolume;
}
| (
(
viewLayer: ViewLayer,
model: Model,
) =>
| void
| Partial<ParameterTilesetValue> & {
showLayers?: boolean | string[];
viewerRequestVolume?: BoundingVolumeJson | BoundingVolume;
}
);
duration?: number;
effect?: MovePanoEffect;
mode?: "replace"
| "add";
model?: ModelOptions;
textureOptions?: TextureOptions;
}

- Defined in lib/five/application/fiveLoadOptions.ts:4

##### Index

### Properties

3d-tiles?
duration?
effect?
mode?
model?
textureOptions?

## Properties

### `Optional` 3d-tiles

"3d-tiles"?:
| Partial<ParameterTilesetValue> & {
showLayers?: boolean | string[];
viewerRequestVolume?: BoundingVolumeJson | BoundingVolume;
}
| (
(
viewLayer: ViewLayer,
model: Model,
) =>
| void
| Partial<ParameterTilesetValue> & {
showLayers?: boolean | string[];
viewerRequestVolume?: BoundingVolumeJson | BoundingVolume;
}
)

#### Deprecated

请通过 model.textureOptions 设置

- Defined in lib/five/application/fiveLoadOptions.ts:27

### `Optional` duration

duration?: number

切换运动时间

- Defined in lib/five/application/fiveLoadOptions.ts:10

### `Optional` effect

effect?: MovePanoEffect

切换运动全景图效果

- Defined in lib/five/application/fiveLoadOptions.ts:13

### `Optional` mode

mode?: "replace" | "add"

替换 / 追加

- Defined in lib/five/application/fiveLoadOptions.ts:7

### `Optional` model

model?: ModelOptions

- Defined in lib/five/application/fiveLoadOptions.ts:15

### `Optional` textureOptions

textureOptions?: TextureOptions

#### Deprecated

请通过 model.textureOptions 设置

- Defined in lib/five/application/fiveLoadOptions.ts:21